# Uses of Enum Class
org.apache.sysds.runtime.compress.colgroup.mapping.MapToFactory.MAP_TYPE

Packages that use MapToFactory.MAP_TYPE
Package
Description
org.apache.sysds.runtime.compress.colgroup.mapping

## Uses of MapToFactory.MAP_TYPE in org.apache.sysds.runtime.compress.colgroup.mapping

Methods in org.apache.sysds.runtime.compress.colgroup.mapping that return MapToFactory.MAP_TYPE
Modifier and Type
Method
Description
`abstract MapToFactory.MAP_TYPE`
AMapToData.`getType()`
`MapToFactory.MAP_TYPE`
MapToBit.`getType()`
`MapToFactory.MAP_TYPE`
MapToByte.`getType()`
`MapToFactory.MAP_TYPE`
MapToChar.`getType()`
`MapToFactory.MAP_TYPE`
MapToCharPByte.`getType()`
`MapToFactory.MAP_TYPE`
MapToInt.`getType()`
`MapToFactory.MAP_TYPE`
MapToUByte.`getType()`
`MapToFactory.MAP_TYPE`
MapToZero.`getType()`
`static MapToFactory.MAP_TYPE`
MapToFactory.MAP_TYPE.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapToFactory.MAP_TYPE[]`
MapToFactory.MAP_TYPE.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.compress.colgroup.mapping with parameters of type MapToFactory.MAP_TYPE
Modifier and Type
Method
Description
`static AMapToData`
MapToFactory.`create(int[] values, MapToFactory.MAP_TYPE t)`
Create a specific mapping based on the integer values given.
`static AMapToData`
MapToFactory.`create(int size, MapToFactory.MAP_TYPE t)`
Allocate a specific type of map.
`static int`
MapToFactory.`getMaxPossible(MapToFactory.MAP_TYPE t)`
Get the maximum value possible to encode in a specific mapping type.
`static AMapToData`
MapToFactory.`resizeForce(AMapToData d, MapToFactory.MAP_TYPE t)`
Force the mapping into an other mapping type.